> For the complete documentation index, see [llms.txt](https://docs.aisera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aisera.com/apis/apis/ingestion-apis/knowledge-articles.md).

# Knowledge Articles

## API Reference

{% openapi src="/files/6rDnpcVXHdXOhPUXaeZj" path="/knowledge-articles" method="post" %}
[IngestionAPIs.yaml](https://2703380601-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fk4yi9BewsGoT4eKpZoaG%2Fuploads%2FOjoXsfZqdgZZ8iQ0fXig%2FIngestionAPIs.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/6rDnpcVXHdXOhPUXaeZj" path="/knowledge-articles" method="delete" %}
[IngestionAPIs.yaml](https://2703380601-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fk4yi9BewsGoT4eKpZoaG%2Fuploads%2FOjoXsfZqdgZZ8iQ0fXig%2FIngestionAPIs.yaml?alt=media)
{% endopenapi %}

## FAQs

1. Can ingested knowledge articles be updated?\
   Yes, the same API can be used to both create and update existing knowledge articles. Include the key-value pairs for the fields that need to be updated. Additionally, all the mandatory fields must be included.
2. Can ingested knowledge articles be deleted?\
   Yes, the knowledge articles can be deleted using the delete APIs. Additionally, the knowledge articles can be excluded from being used by the platform, without deleting them, by retiring in bulk from the data source details page.
3. Is there a required format for the knowledge articles?\
   Yes, the knowledge article payload must be stringified HTML.
4. Are there any restrictions or limitations?\
   Yes. The restrictions on the ingestion APIs are available [here](/apis/apis/ingestion-apis.md#restrictions).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aisera.com/apis/apis/ingestion-apis/knowledge-articles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
